package com.steerinfo.pretrack.pretracknotice.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.pretrack.pretracknotice.model.PreTrackNotice;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PreTrackNoticeMapper extends IBaseMapper<PreTrackNotice, String> {
    String getNewID(@Param(value="afl")String afl);

    int batchUpdateRecover(List<PreTrackNotice> list);

    int batchUpdateAbolish(List<PreTrackNotice> list);

    List<PreTrackNotice> selectByCustomer(List<String> ids);
}